<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Parent: 02-技术方案 -->
<!-- Parent: 01-产研平台 -->
<!-- Title: 20250626-产研平台2506战略目标技术方案 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 20250626-产研平台2506战略目标技术方案

## 一、项目简介

- 产研协同平台战略目标建设

## 二、项目目标

- 实现里程碑管理
- 实现战略目标管理
- 实现资源管控视图

## 三、业务分析

## 四、整体设计

## 五、详细设计

### 5.1、数据库设计

```sql
CREATE TABLE `zt_v2_strategic_milestone`
(
    `id`                   int(11)      NOT NULL AUTO_INCREMENT,
    `title`                varchar(255) NOT NULL COMMENT '里程碑名称',
    `maintainerAccount`    varchar(255) NOT NULL DEFAULT '' COMMENT '里程碑负责人',
    `estimatedStartTime`   datetime              DEFAULT NULL COMMENT '预计开始时间',
    `estimatedFinishTime`  datetime              DEFAULT NULL COMMENT '预计完成时间',
    `estimatedWorkingHour` int(8)                DEFAULT NULL COMMENT '预计工时',
    `description`          text COMMENT '详细内容',
    `createdBy`            varchar(30)  NOT NULL DEFAULT '',
    `createdDate`          datetime     NOT NULL,
    `updateBy`             varchar(30)  NOT NULL DEFAULT '',
    `updateDate`           datetime     NOT NULL,
    `deleted`              varchar(1)   NOT NULL DEFAULT '0' COMMENT '删除标识 0 正常 1删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  ROW_FORMAT = DYNAMIC COMMENT ='里程碑表';

CREATE TABLE `zt_v2_strategic_goal`
(
    `id`                   int(11)      NOT NULL AUTO_INCREMENT,
    `strategicMilestoneId` int(11)      NOT NULL COMMENT '所属里程碑',
    `title`                varchar(255) NOT NULL COMMENT '战略目标名称',
    `maintainerAccount`    varchar(255) NOT NULL DEFAULT '' COMMENT '目标负责人',
    `estimatedStartTime`   datetime              DEFAULT NULL COMMENT '预计开始时间',
    `estimatedFinishTime`  datetime              DEFAULT NULL COMMENT '预计完成时间',
    `estimatedWorkingHour` int(8)                DEFAULT NULL COMMENT '预计工时',
    `description`          text COMMENT '详细内容',
    `createdBy`            varchar(30)  NOT NULL DEFAULT '',
    `createdDate`          datetime     NOT NULL,
    `updateBy`             varchar(30)  NOT NULL DEFAULT '',
    `updateDate`           datetime     NOT NULL,
    `deleted`              varchar(1)   NOT NULL DEFAULT '0' COMMENT '删除标识 0 正常 1删除',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  ROW_FORMAT = DYNAMIC COMMENT ='战略目标表';

ALTER TABLE `zt_taskdetail`
    ADD COLUMN `planStartTime` datetime     NULL COMMENT '计划开始时间' AFTER `detailId`,
    ADD COLUMN `developState`  varchar(255) NULL COMMENT '开发状态' AFTER `updateType`;

ALTER TABLE `zt_story`
    ADD COLUMN `strategicGoalId` int(11) NULL COMMENT '所属战略目标id' AFTER `requirementType`;

ALTER TABLE `zt_task`
    ADD COLUMN `belongJob`              varchar(255) NULL COMMENT '所属岗位' AFTER `userAccount`,
    ADD COLUMN `technicalSolutionLinks` text         NULL COMMENT '技术方案链接列表' AFTER `belongJob`;
```

### 5.2、接口设计

#### 5.2.1、接口设计与排期

| 功能     | 接口                 | 工时    | 责任人   | 备注    |
|--------|--------------------|-------|-------|-------|
| 里程碑    | 增加                 | 0.5   | ----- | ----- |
| 里程碑    | 修改                 | ----- | ----- | ----- |
| 里程碑    | 删除                 | ----- | ----- | ----- |
| 里程碑    | 列表                 | ----- | ----- | ----- |
| 战略目标   | 增加                 | 0.5   | ----- | ----- |
| 战略目标   | 修改                 | ----- | ----- | ----- |
| 战略目标   | 删除                 | ----- | ----- | ----- |
| 战略目标   | 列表                 | ----- | ----- | ----- |
| 战略目标   | 战略目标需求列表           | ----- | ----- | ----- |
| 新增字段   | 创建需求添加所属目标字段       | 0.5   | ----- | ----- |
| 新增字段   | 创建需求详细规划添加计划开始时间字段 | ----- | ----- | ----- |
| 新增字段   | 拆分迭代任务添加所属岗位（维护）   | 0.5   | ----- | ----- |
| 新增字段   | 拆分迭代任务详细规划添加开发状态   | ----- | ----- | ----- |
| 新增字段   | 开发状态接口             | ----- | ----- | ----- |
| 新增字段   | 拆分迭代任务添加技术方案链接字段   | ----- | ----- | ----- |
| 新增字段   | 新增字段配置中心配置SQL编写    | ----- | ----- | ----- |
| 资源管控视图 |                    | 2~3   | ----- | ----- |
| 联调     |                    | 2     | ----- | ----- |
| 总工时    |                    | 6~7   | ----- | ----- |

- 所属岗位由 `/api/pssystem/module/getConfig` 接口维护
- 需求验收拆分UAT和生产，前端改就行

## 六、工作量和排期

### 开发时间

### 联调时间

### 提测时间

### 上线时间

## 七、设计评审意见